<div class="headline">{{'NEW_GAME' | translate}}</div>
<div class="container">
  <div *ngIf="!game" class="file-input">

    <h2>{{'IMPORT_QUESTION' | translate}}</h2>
    <p>{{'NEW_GAME_INTRODUCTION_1' | translate}}</p>
    <p>{{'NEW_GAME_INTRODUCTION_2' | translate}} <a href="/assets/games/sample.json" target="_blank">{{'SAMPLE_GAME' | translate}}</a></p>
    <input type="file" (change)="readQuestionFile($event)" id="question-file" accept=".json"/>
  </div>

  <div *ngIf="game" class="game-loaded">
    <h2>{{'QUESTION_POOL_IMPORTED' | translate}}</h2>
    <div *ngIf="game.name" class="game-name">
      {{'NAME' | translate}} {{game.name}}
    </div>

    <div *ngIf="game.questions" class="game-categories">
      {{'CATEGORIES' | translate}}
      <div *ngFor="let q of game.questions;" class="game-category">
        {{q.name}}: {{q.questions.length}} {{'QUESTIONS' | translate}}
      </div>
    </div>

    <hr />
    <button (click)="saveGame()" class="btn">{{'APPLY' | translate}}</button>
  </div>
</div>




